LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07160Bug reports[All Projects] Otherpublic2013-01-08 12:472013-01-15 09:50
Reporterludogre 
Assigned ToDenisChenu 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07160: Impossible submit page with some email validation
DescriptionHi!


Using regex to validate email field don't work with an email like blabla@no-log.org . Email is validated, but page can't be submitted and no error message is given :-( .

The type of the field is short text. It use a regex expression for validation: /^(\w[-._+\w]*\w@\w[-._\w]*\w\.\w{2,3})$/

Steps To ReproduceYou can reproduce the bug with the survey that is attached to this bug report.

The first field is the field to test.

If you use blabla@gmail.com or blabla@no-log.org , the validation is ok by disappear the red background.

But, with blabla@no-log.org, you can't submit page.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130103
BrowserIceweasel 17.0.1
Database & DB-VersionMysql5
Operating System (Server)Debian GNU/Linux
Webserver software & versionApache2
PHP Versionphp5
Attached Files? file icon limesurvey_survey_63885.lss [^] (15,847 bytes) 2013-01-08 12:47

- Relationships
has duplicate 07187closedc_schmitz Problem with sending Emails containing "-" 

-  Notes
User avatar (23589)
c_schmitz (administrator)
2013-01-09 16:48

Shnoulle, can you maybe take this one?
I can only see that in function exprmgr_regexMatch in em_core_helper.php the comparison value is actually "blabla@no-log.org" instead of blabla@no-log.org and so it fails. I have no clue though where the invalid value is created.
User avatar (23623)
DenisChenu (developer)
2013-01-13 12:01
edited on: 2013-01-13 12:01

Surely - > soustraction, + : addition etc ...

But EM don't have to translate this inside answers.

Denis

PS: https://www.limesurvey.org/fr/forum/installation-a-update-issues/91065-emailaddress-with-hyphen-q-q-sends-no-admin-notification-email#91065 [^]

User avatar (23632)
c_schmitz (administrator)
2013-01-14 00:35

Maybe it is a recent issue: http://www.limesurvey.org/en/forum/installation-a-update-issues/91075-regex-validation-no-longer-working-after-updating-to-version-200-build-130110#91077 [^] ?
User avatar (23636)
DenisChenu (developer)
2013-01-14 08:45
edited on: 2013-01-14 09:06

I take a look for email regexp today with a version before 130110 .
And with 1.92 version.

Denis
EDIT: first bg report: javascript EM: OK, but can not submit page ....
EDIT 2: strange : when using {MAIL.shown} in same page or another page: OK, see the good mail ...

User avatar (23655)
c_schmitz (administrator)
2013-01-15 09:14

2.00+ Build 130115 released
User avatar (23674)
DenisChenu (developer)
2013-01-15 09:49

2.0:
https://github.com/LimeSurvey/LimeSurvey/commit/c489ab2283ba904ae61e82401003599e26f8b471 [^]

2.1:
https://github.com/LimeSurvey/LimeSurvey/commit/49f6a173b20c0632292333b24a919439f5d173b0 [^]

- Issue History
Date Modified Username Field Change
2013-01-08 12:47 ludogre New Issue
2013-01-08 12:47 ludogre File Added: limesurvey_survey_63885.lss
2013-01-08 12:58 Mazi Assigned To => c_schmitz
2013-01-08 12:58 Mazi Status new => assigned
2013-01-09 16:46 c_schmitz Assigned To c_schmitz => DenisChenu
2013-01-09 16:48 c_schmitz Note Added: 23589
2013-01-13 12:01 DenisChenu Note Added: 23623
2013-01-13 12:01 DenisChenu Note Edited: 23623 View Revisions
2013-01-14 00:35 c_schmitz Note Added: 23632
2013-01-14 08:45 DenisChenu Note Added: 23636
2013-01-14 08:46 DenisChenu Note Edited: 23636 View Revisions
2013-01-14 09:00 DenisChenu Note Edited: 23636 View Revisions
2013-01-14 09:06 DenisChenu Note Edited: 23636 View Revisions
2013-01-14 16:07 c_schmitz Relationship added has duplicate 07187
2013-01-14 17:18 DenisChenu Status assigned => resolved
2013-01-14 17:18 DenisChenu Fixed in Version => 2.00+
2013-01-14 17:18 DenisChenu Resolution open => fixed
2013-01-15 09:14 c_schmitz Note Added: 23655
2013-01-15 09:14 c_schmitz Status resolved => closed
2013-01-15 09:49 DenisChenu Note Added: 23674
2013-01-15 09:49 DenisChenu Status closed => feedback
2013-01-15 09:49 DenisChenu Resolution fixed => reopened
2013-01-15 09:50 DenisChenu Status feedback => closed
2013-01-15 09:50 DenisChenu Resolution reopened => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker